<?php
/** **************************************************************************
 * Copyright (C) 2001 Eric Seigne <erics@rycks.com>
 * Copyright (C) 2004 Olivier Cortes <olivier.cortes@ryxeo.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * ***************************************************************************
 * File  : index.php
 * Author  : Olivier CORTES
 *           mailto:ocortes@ryxeo.com
 *           http://www.ryxeo.com/
 * Date    : 26/08/2003
 * Licence : GNU/GPL Version 2
 *
 * Description:
 * ------------
 *
 * @version    $Id: index.php,v 1.4 2003/09/25 08:28:54 olive Exp $
 * @author     Eric Seigne
 * @project   
 * @copyright  Eric Seigne 26/08/2003
 *
 * ************************************************************************* */
/*
 * Pour personnaliser l'intranet, on forke/exec si l'admin local a fait une page web
 */

if (file_exists("site.php")) {

  require("site.php");
  exit();
  
}
else if (file_exists("site.html")) {

  require("site.html");
  exit();
  
}

// ---------------------------------------------------------------
// Fonction qui retourne un tableau avec la liste des applications
// disponibles pour l'intranet des utilisateurs.
//
// par exemple 
// $tab = ListeApplications();
// $tab[0]["title"] : Titre de l'application, exemple "NoMail"
// $tab[0]["url"]   : URL pour l'application, exemple "/cgi-bin/neomail/pl"
// $tab[0]["desc"]  : Description, exemple "NoMail est le logiciel de courriel pour l'in..."
function ListeApplications() {
  $fichier = "listeapplications";
  $fp = fopen($fichier,"r");
  if($fp = @fopen($fichier,"r")){
    $i = 0;
    while(!feof($fp)){
      $ligne = fgetcsv($fp,"1024","=");
      if($ligne[0] == "TITLE") {
	if($retour[$i]["title"] != "")
	  $i++;
	$retour[$i]["title"] = $ligne[1];
      }
      else if($ligne[0] == "LOGO")
              $retour[$i]["logo"] = $ligne[1];
      else if($ligne[0] == "URL")
	$retour[$i]["url"] = $ligne[1];
      else if($ligne[0] == "DESC") {
	$desc = explode("!",$ligne[1]);
	$retour[$i]["desc"][$desc[0]] = $desc[1];
      }
    }
    fclose($fp);
  }
  return $retour;
}

?>
<html>
<head>
<title>Bienvenue sur Abuldu PLM !</title>
<link href='/style.css' rel='stylesheet' type='text/css'>
</head>
<body bgcolor="#FFFFFF">

<div style="float: right; margin: 1em"><img src="/images/logo_abuledu.png" alt="logo abuledu" /></div>

<div style="text-align: center">
	<img src="/images/titre_abuledu_plm_metal.png" alt="logo abuledu" />
        <h2>Solution logicielle libre pour rseaux scolaires</h2>
</div>
<p>&nbsp;</p>

<div style="float: right; width: 30%; margin: 5px">
<div style="text-align: center"><h2>Bienvenue sur Abuldu PLM !</h2></div>
      <p style="text-align: justify">PLM, C'est "<b>P</b>our <b>L</b>es <b>M</b>ilitants, clin d'oeil  celles et ceux qui l'installeront, en assureront la maintenance, la feront voluer...</p>
      <p>Nous avons fait notre possible pour que cette version d'Abuldu soit la plus robuste possible. il est cependant possible qu'il y ait encore des bugs ou des choses  rajouter.</p>
      <p>N'hsitez pas  <a href="mailto:contact@abuledu.org">nous contacter par courriel</a> pour nous faire part de vos remarques.<br />
      <p>Des <a href="http://lists.abuledu.org/">listes de diffusions sont  votre disposition</a> pour changer avec les autres utilisateurs d'Abuldu dans d'autres rseaux scolaires.<br /></p>
       <p>Vous pouvez consulter <a href="http://docs.abuledu.org/">les documentations rdiges par les utilisateurs d'Abuldu</a>. Vous pouvez en <a href="http://docs.abuledu.org/article12.html">rdiger vous-mme  la mme adresse</a>.<br /></p>
      <p>Qui utilise Abuldu <a href="http://www.abuledu.org/rubrique9.html">prs de chez vous</a> ?</p>
</div>

<div style="width: 70%; margin: 40px 5px 5px">
 <table align="center" width="90%" border="0" cellspacing="0" cellpadding="0"> 
     <tr bgcolor="#ddddee">
       <th width="40%">Outil</th>
       <th>Description</th>
     </tr>
<?php
$tab = ListeApplications();

for($i = 0; $i < count($tab); $i++) {
  $logo = $tab[$i]["logo"];
  $addresse = $tab[$i]["url"];
  $titre = $tab[$i]["title"];
  $description = $tab[$i]["desc"]["fr"];
  print "     <tr bgcolor=\"#EEEEEE\">
       <td><img src=\"$logo\"><a href=\"$addresse\">$titre</a></td>
       <td>$description</td>
     </tr>\n";
}
?>
<tr>
	<td colspan="2">&nbsp;</td>
</tr>
<tr bgcolor="#EEEEEE">
	<td><img src="images/abuledu_admin_60x60.png"><a href="http://webadmin:8082/">Administration Abuldu</a></td>
	<td>tous les outils pour administrer votre serveur Abuldu</td>
</tr>
</table>
</div>

<p style="clear: both">&nbsp;</p>

<table width="90%" border="0" bgcolor="#FFFFFF" align="center" cellspacing="0" cellpadding="0">
<tr >
  <td colspan="7" align="center">Partenaires du projet</td>
</tr>
<tr bgcolor="#dee2ee" align="center">
  <td><a href="http://www.ryxeo.com/"><img src="images/logo1_ryxeo.png" alt="Ryxeo"></a></td>
  <td><a href="http://www.scideralle.org"><img src="images/logo1_scideralle.png" alt="Scideralle"></a></td>
  <td><a href="http://www.abul.org"><img src="images/abul.png" alt="Association Bordelaise des Utilisateurs de Logiciels Libres"></a></td>
  <td><a href="http://www.debian.org/index.fr.html"><img src="images/logo1_debian.png" alt="Debian GNU/Linux"></a></td>
  <td><a href="http://www.april.org"><img src="images/april.png" alt="Association Pour la Promotion et la Recherche en Informatique Libre"></a></td>
  <td><a href="http://www.aful.org"><img src="images/aful.png" alt="Association Francophone des Utilisateurs de Linux et des Logiciels Libres"></a></td>
  <td><img src="images/crdpa.png" alt="CRDP d'Aquitaine"></td>
  <td><img src="images/aquitaine.png" alt="Conseil Rgional d'Aquitaine"></td>
  </tr>
<tr>
 	<td colspan="7" align="center">Abuldu est une solution dveloppe par Rycks depuis 2000</td>
</tr>
</table>

</body>
</html>
