<?php

// fichier tiré du index.php - auquel on a ajoue la possibilite de creer un annuaire.
// ce fichier est amene a remplacer la page d'accueil de l'intranet par defaut.

/** **************************************************************************
 * Copyright (C) 2001 Eric Seigne <erics@rycks.com>
 * Copyright (C) 2004 Olivier Cortes <olivier.cortes@ryxeo.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * ***************************************************************************
 * File  : index.php
 * Author  : Olivier CORTES
 *           mailto:ocortes@ryxeo.com
 *           http://www.ryxeo.com/
 * Date    : 26/08/2003
 * Licence : GNU/GPL Version 2
 *
 * Description:
 * ------------
 *
 * @version    $Id: index.php,v 1.4 2003/09/25 08:28:54 olive Exp $
 * @author     Eric Seigne
 * @project   
 * @copyright  Eric Seigne 26/08/2003
 * @contribution Francois Audirac 10/05/2006
 *
 * ************************************************************************* */

// La fonction d'origine listeapplications a été renommée pour éviter les conflits entre ces deux fonctions puisque l'une "listeapplications" est définie dans index.php et l'autre listeappli dans site.php

// ---------------------------------------------------------------
// Fonction qui retourne un tableau avec la liste des applications
// disponibles pour l'intranet des utilisateurs.
//
// par exemple 
// $tab = ListeApplications();
// $tab[0]["title"] : Titre de l'application, exemple "NéoMail"
// $tab[0]["url"]   : URL pour l'application, exemple "/cgi-bin/neomail/pl"
// $tab[0]["desc"]  : Description, exemple "NéoMail est le logiciel de courriel pour l'in..."
function ListeAppli() {
  $fichier = "listeapplications";
  $fp = fopen($fichier,"r");
  if($fp = @fopen($fichier,"r")){
    $i = 0;
    while(!feof($fp)){
      $ligne = fgetcsv($fp,"1024","=");
      if($ligne[0] == "TITLE") {
	if($retour[$i]["title"] != "")
	  $i++;
	$retour[$i]["title"] = $ligne[1];
      }
      else if($ligne[0] == "LOGO")
              $retour[$i]["logo"] = $ligne[1];
      else if($ligne[0] == "URL")
	$retour[$i]["url"] = $ligne[1];
      else if($ligne[0] == "DESC") {
	$desc = explode("!",$ligne[1]);
	$retour[$i]["desc"][$desc[0]] = $desc[1];
      }
    }
    fclose($fp);
  }
  return $retour;
}

?>
<html>
<head>
<title>Bienvenue sur l'intranet d'Abul&Eacute;du Lyon !</title>
<link href='style.css' rel='stylesheet' type='text/css'>
</head>
<body bgcolor="#FFFFFF">

<div style="float: right; margin: 1em"><img src="images/logo_abuledu.png" alt="logo abuledu" /></div>

<div style="text-align: center">
	<img src="images/titre_abuledu_plm_metal.png" alt="logo abuledu" />
        <h2>Solution logicielle libre pour r&eacute;seaux scolaires</h2>
</div>
<p>&nbsp;</p>

<div style="float: right; width: 30%; margin: 5px">
<div style="text-align: center"><h2>Bienvenue sur l'intranet d'Abul&Eacute;du LYON !</h2></div>
      <p style="text-align: justify">PLM, C'est "<b>P</b>our <b>L</b>es <b>M</b>ilitants, clin d'oeil &agrave; celles et ceux qui l'installeront, en assureront la maintenance, la feront &eacute;voluer...</p>
      <p>Nous avons fait notre possible pour que cette version d'Abul&Eacute;du soit la plus robuste possible. il est cependant possible qu'il y ait encore des bugs ou des choses &agrave; rajouter.</p>
      <p>N'h&eacute;sitez pas &agrave; <a href="mailto:contact@abuledu.org">nous contacter par courriel</a> pour nous faire part de vos remarques.<br />
      <p>Des <a href="http://lists.abuledu.org/">listes de diffusions sont &agrave; votre disposition</a> pour &eacute;changer avec les autres utilisateurs d'Abul&Eacute;du dans d'autres r&eacute;seaux scolaires.<br /></p>
       <p>Vous pouvez consulter <a href="http://docs.abuledu.org/">les documentations r&eacute;dig&eacute;es par les utilisateurs d'Abul&Eacute;du</a>. Vous pouvez en <a href="http://docs.abuledu.org/article12.html">r&eacute;diger vous-m&ecirc;me &agrave; la m&ecirc;me adresse</a>.<br /></p>
      <p>Qui utilise Abul&Eacute;du <a href="http://www.abuledu.org/rubrique9.html">pr&egrave;s de chez vous</a> ?</p>
</div>

<div style="width: 70%; margin: 40px 5px 5px">
 <table align="center" width="90%" border="0" cellspacing="0" cellpadding="0"> 
     <tr bgcolor="#ddddee">
	<th >Image</th>
       <th width="30%">Outil</th>
       <th width="70%">Description</th>
     </tr>
<?php
$tab = ListeAppli();

// on corrige (par rapport aux données contenues dans config.inc.php) le nom où se trouve les images pour les liens 
$images_dir="images";

for($i = 0; $i < count($tab); $i++) {
  $logo = basename($tab[$i]["logo"]);
  $addresse = $tab[$i]["url"];
  $titre = $tab[$i]["title"];
  $description = $tab[$i]["desc"]["fr"];
	$img=basename($logo);
  print "     <tr bgcolor=\"#EEEEEE\">
       <td><a href=\"$addresse\"><img src=\"$images_dir/$logo\"></a>	</td><td><a href=\"$addresse\">$titre</a></td>
       <td>$description</td>
     </tr>\n";
}
?>
<tr>
	<td colspan="3">&nbsp;</td>
</tr>

<tr bgcolor="#ddddee">
       <th colspan="3">Liens des groupes - (<a href="urladmin/admin/urladmin.php">administration</a>) </th>
</tr>
<tr bgcolor="#EEEEEE" >
<td colspan="3">

<?php
$files_dir="urladmin/liens/";
$dossier = opendir($files_dir);
$i=0;
echo "<ul>";
while ($Fichier = readdir($dossier)) {
	if ($Fichier != "." && $Fichier != "..") {
		echo "<li><a href=\"urladmin/liens.php?file_name=".$Fichier."\">".$Fichier."</a></li>";
	}
	$i++;
} 
echo "</ul>";
if ($i=="2") {
	echo "&nbsp;&nbsp;Pas de fichier pr&eacute;sent &agrave; afficher dans le dossier <strong>\"".$files_dir."\"</strong><br><ul><li><a href=\"urladmin/urladmin.php\">En cr&eacute;er un ?</a></li><ul>";
}
closedir($dossier);

?>

</td>

</tr>

<tr>
	<td colspan="3">&nbsp;</td>
</tr>

<tr bgcolor="#EEEEEE">
	<td><a href="http://webadmin:8082"><img src="images/abuledu_admin_60x60.png"></a></td>
	<td><a href="http://webadmin:8082">Administration</a></td>
	<td>Tous les outils pour administrer votre serveur Abul&Eacute;du</td>
</tr>
</table>
</div>

<p style="clear: both">&nbsp;</p>

<table width="90%" border="0" bgcolor="#FFFFFF" align="center" cellspacing="0" cellpadding="0">
<tr >
  <td colspan="7" align="center">Partenaires du projet</td>
</tr>
<tr bgcolor="#dee2ee" align="center">
  <td><a href="http://www.ryxeo.com/"><img src="images/logo1_ryxeo.png" alt="Ryxeo"></a></td>
  <td><a href="http://www.scideralle.org"><img src="images/logo1_scideralle.png" alt="Scideralle"></a></td>
  <td><a href="http://www.debian.org/index.fr.html"><img src="images/logo1_debian.png" alt="Debian GNU/Linux"></a></td>
  <td><a href="http://www.april.org"><img src="images/april.png" alt="Association Pour la Promotion et la Recherche en Informatique Libre"></a></td>
  <td><a href="http://www.aful.org"><img src="images/aful.png" alt="Association Francophone des Utilisateurs de Linux et des Logiciels Libres"></a></td>
  <td><img src="images/crdpa.png" alt="CRDP d'Aquitaine"></td>
  <td><img src="images/aquitaine.png" alt="Conseil R&eacute;gional d'Aquitaine"></td>
  </tr>
<tr>
 	<td colspan="7" align="center">Abul&Eacute;du est une solution d&eacute;velopp&eacute;e par Rycks depuis 2000</td>
</tr>
</table>

</body>
</html>
